Brivio API reference
Gate

Get a dock appointment (scope: gate:read)

GET
/gate/dock-appointments/{id}

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Path Parameters

id*string

Dock appointment id

Formatuuid

Response Body

OK

application/json
  1. response
data*

The driver's phone and the kiosk check-in token are deliberately not exposed.

error*null
curl -X GET "https://example.com/gate/dock-appointments/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "status": "SCHEDULED",    "direction": "INBOUND",    "location_id": "46910cc3-ab41-4b80-b4a7-94dab9f1b795",    "dock_name": "string",    "slot_start": "2019-08-24T14:15:22Z",    "slot_end": "2019-08-24T14:15:22Z",    "vehicle_plate": "string",    "driver_name": "string",    "carrier_id": "48e94619-563d-402c-b442-97b2c8fb116b",    "carrier_name": "string",    "partner_id": "6a3a39f6-861b-4a48-b868-5de838400e06",    "reference": "string",    "notes": "string",    "visit_id": "4fa595bd-6c49-4a9e-9507-63e9ca0eb0fc",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  },  "error": null}